Package de.willuhn.jameica.hbci.gui.chart

# Class AbstractChart<T extends ChartData>

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChart<T>

Type Parameters:
  `T` - der Typ der Chartdaten.

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`, `Chart<T>`

Direct Known Subclasses:
  `BarChart`, `LineChart`, `VergleichBarChart`

public abstract class AbstractChart<T extends ChartData> extends Object implements Chart<T>
Abstrakte Basis-Implementierung der Charts.

## Constructor Summary

Constructors
Constructor
Description
`AbstractChart()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addData(T data)`
Fuegt dem Chart eine Datenreihe hinzu,
`void`
`addFeature(ChartFeature feature)`
Fuegt ein Feature hinzu.
`org.eclipse.swtchart.Chart`
`getChart()`
Liefert das eigentliche SWT-Chart-Objekt.
`String`
`getTitle()`
Liefert den Titel des Charts.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`removeAllData()`
Entfernt alle Datenreihen.
`void`
`removeData(T data)`
Entfernt eine Datenreihe aus dem Chart.
`void`
`removeFeature(ChartFeature feature)`
Entfernt das Feature.
`protected void`
`setChart(org.eclipse.swtchart.Chart chart)`
Speichert das SWT-Chart-Objekt.
`void`
`setTitle(String title)`
Speichert den Titel des Charts.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.gui.chart.Chart

`redraw`

## Constructor Details

### AbstractChart

public AbstractChart()

## Method Details

### setTitle

public void setTitle(String title)
Description copied from interface: `Chart`
Speichert den Titel des Charts.

Specified by:
  `setTitle` in interface `Chart<T extends ChartData>`
Parameters:
  `title` - Titel.
See Also:
  - `Chart.setTitle(java.lang.String)`

### getTitle

public String getTitle()
Description copied from interface: `Chart`
Liefert den Titel des Charts.

Specified by:
  `getTitle` in interface `Chart<T extends ChartData>`
Returns:
  Titel.
See Also:
  - `Chart.getTitle()`

### getChart

public org.eclipse.swtchart.Chart getChart()
Description copied from interface: `Chart`
Liefert das eigentliche SWT-Chart-Objekt.

Specified by:
  `getChart` in interface `Chart<T extends ChartData>`
Returns:
  das eigentliche SWT-Chart-Objekt.
See Also:
  - `Chart.getChart()`

### setChart

protected void setChart(org.eclipse.swtchart.Chart chart)
Speichert das SWT-Chart-Objekt.

Parameters:
  `chart` -

### addData

public void addData(T data)
Description copied from interface: `Chart`
Fuegt dem Chart eine Datenreihe hinzu,

Specified by:
  `addData` in interface `Chart<T extends ChartData>`
Parameters:
  `data` -
See Also:
  - `Chart.addData(de.willuhn.jameica.hbci.gui.chart.ChartData)`

### removeData

public void removeData(T data)
Description copied from interface: `Chart`
Entfernt eine Datenreihe aus dem Chart.

Specified by:
  `removeData` in interface `Chart<T extends ChartData>`
Parameters:
  `data` -
See Also:
  - `Chart.removeData(de.willuhn.jameica.hbci.gui.chart.ChartData)`

### removeAllData

public void removeAllData()
Description copied from interface: `Chart`
Entfernt alle Datenreihen.

Specified by:
  `removeAllData` in interface `Chart<T extends ChartData>`
See Also:
  - `Chart.removeAllData()`

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### addFeature

public void addFeature(ChartFeature feature)
Description copied from interface: `Chart`
Fuegt ein Feature hinzu.

Specified by:
  `addFeature` in interface `Chart<T extends ChartData>`
Parameters:
  `feature` - das Feature.
See Also:
  - `Chart.addFeature(de.willuhn.jameica.hbci.gui.chart.ChartFeature)`

### removeFeature

public void removeFeature(ChartFeature feature)
Description copied from interface: `Chart`
Entfernt das Feature.

Specified by:
  `removeFeature` in interface `Chart<T extends ChartData>`
Parameters:
  `feature` - das zu entfernende Feature.
See Also:
  - `Chart.removeFeature(de.willuhn.jameica.hbci.gui.chart.ChartFeature)`